Subject: bug#10237: AM_SILENT_RULES does not work with NonStop make

From: Paul Eggert <[email-masked]>
Date: Tue, 06 Dec 2011 10:40:51 -0800

On 12/06/11 10:19, Stefano Lattarini wrote:
> which will also very likely be in the next POSIX standard, if I'm not
> mistaken)

Do you have a reference for that?  That would allay some of
my concerns in this area, moving forward.

> I'm extremely reluctant to add yet more complexity to automake

I don't see this change as adding much complexity.  It should be
pretty simple, and it shouldn't affect Automake much.  So I guess
the question is: how much complexity is "too much"?  I don't want
to bother to write and test a patch if it's going to be shot down
no matter how simple it is.

It is a bit off-putting to tell someone trying to install
coreutils "well, you're going to have to install
all this other GNU stuff first".  (And suppose GNU make
starts depending on coreutils?...)  It's better to avoid these
dependencies if it's easy, which seems to be the case here.